summaryrefslogtreecommitdiffstats
path: root/jjb/functest/functest-k8.sh
diff options
context:
space:
mode:
authorCédric Ollivier <cedric.ollivier@orange.com>2018-04-07 17:38:46 +0200
committerCédric Ollivier <cedric.ollivier@orange.com>2018-04-07 18:27:28 +0200
commit55794804cddd765997fe4a81e52d4c1d37a862e7 (patch)
tree1140a1fe832aabf3f213fbdb06967571e816e435 /jjb/functest/functest-k8.sh
parent285a9448d4126e0cd66914a7dcbd698ff7ecea00 (diff)
Split functest-kubernetes into smaller containers
It conforms with the Docker slicing model proposed by Functest. See https://gerrit.opnfv.org/gerrit/#/c/55129/ Change-Id: Ic036034f043f995cba468fa0437e47a6129584b4 Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
Diffstat (limited to 'jjb/functest/functest-k8.sh')
-rwxr-xr-xjjb/functest/functest-k8.sh30
1 files changed, 18 insertions, 12 deletions
diff --git a/jjb/functest/functest-k8.sh b/jjb/functest/functest-k8.sh
index 9017354cc..419c4e051 100755
--- a/jjb/functest/functest-k8.sh
+++ b/jjb/functest/functest-k8.sh
@@ -42,17 +42,23 @@ DOCKER_TAG=`[[ ${BRANCH##*/} == "master" ]] && echo "latest" || echo ${BRANCH##*
set +e
-FUNCTEST_IMAGE=opnfv/functest-kubernetes:${DOCKER_TAG}
-echo "Pulling Docker image ${FUNCTEST_IMAGE} ..."
-docker pull ${FUNCTEST_IMAGE}>/dev/null
-cmd_opt="run_tests -r -t all"
-cmd="docker run --rm ${envs} ${volumes} ${FUNCTEST_IMAGE} /bin/bash -c '${cmd_opt}'"
-echo "Running Functest k8s test cases, CMD: ${cmd}"
-eval ${cmd}
-ret_value=$?
-
ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
echo 0 > ${ret_val_file}
-if [ ${ret_value} != 0 ]; then
- echo ${ret_value} > ${ret_val_file}
-fi
+
+FUNCTEST_IMAGES="\
+opnfv/functest-kubernetes-healthcheck:${DOCKER_TAG} \
+opnfv/functest-kubernetes-smoke:${DOCKER_TAG} \
+opnfv/functest-kubernetes-features:${DOCKER_TAG}"
+cmd_opt="run_tests -r -t all"
+
+for image in ${FUNCTEST_IMAGES}; do
+ echo "Pulling Docker image ${image} ..."
+ docker pull "${image}" >/dev/null
+ cmd="docker run --rm ${envs} ${volumes} ${image} /bin/bash -c '${cmd_opt}'"
+ echo "Running Functest k8s test cases, CMD: ${cmd}"
+ eval ${cmd}
+ ret_value=$?
+ if [ ${ret_value} != 0 ]; then
+ echo ${ret_value} > ${ret_val_file}
+ fi
+done